using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;


namespace TestChart2D
{
    public partial class Form1CFX : Form
    {

        
        public Form1CFX()
        {
            InitializeComponent();
        }

        private void button1Test_Click(object sender, EventArgs e)
        {
            int i, nb = 100, serie = 1;
            for (i = 0; i < nb; i++)
            {
                chart2D1.setPoint(0,i, Math.Sin(i /16.0 * serie));
            }
            chart2D1.startDrawing();
            chart2D1.autoScaling();
        }

        short serie = 1;
        private void buttonMulti_Click(object sender, EventArgs e)
        {
            int i, nb = 100;
            for (i = 0; i < nb; i++)
            {
                chart2D1.setPoint(serie-1, i, Math.Sin(i / 16.0 * serie));
            }
            chart2D1.startDrawing();
            chart2D1.autoScaling();
            serie++;
        }

        private void buttontoggleTB_Click(object sender, EventArgs e)
        {
            if (chart2D1.AllClearButton)
                chart2D1.AllClearButton = false;
            else
                chart2D1.AllClearButton = true;
        }

 

        private void buttonScale_Click(object sender, EventArgs e)
        {
            chart2D1.autoScaling();
        }

        private void buttonLegend_Click(object sender, EventArgs e)
        {
            chart2D1.clearLast();
        }

        private void buttonTitle_Click(object sender, EventArgs e)
        {
            chart2D1.TopTitle = "Top Header Title";
            chart2D1.BottomTitle = "Bottom Title text";
            chart2D1.CurveNames[0] = "Kurve 1";
            chart2D1.updateNames();

        }

        private void buttonSin_Click(object sender, EventArgs e)
        {
            if (timer1.Enabled)
                timer1.Enabled = false;
            else
            {
                timer1.Enabled = true;
                chart2D1.clearAll();
                chart2D1.XMax = 100;
                chart2D1.XGap = 10;
                chart2D1.YMax = 1;
                chart2D1.YMin = -1;
                chart2D1.YGap = 0.2;
                serie = 1;
            }
        }
        int itemp = 0;
        private void timer1_Tick(object sender, EventArgs e)
        {
            chart2D1.realTimeChart((serie-1), itemp, Math.Sin(itemp / 16.0 * serie));
            itemp++;
            if (itemp > 100)
            {
                itemp = 0;
                serie++;
            }
            if (serie > 5)
            {
                serie = 1;
                chart2D1.clearAll();
            }

        }
    }
}